/* ページ全体 */
body	{font-family: 'メイリオ', 'Hiragino Kaku Gothic Pro', sans-serif;
	line-height: 1.5}

.container	{max-width: 800px;
	margin: 0 auto;
	padding: 0 10px}


/* 記事 */
.kiji h1	{font-size: 36px}

.kiji h1 amp-img	{margin-left: 6px}

.kiji h2	{position: relative;
	padding-left: 32px;
	margin-top: 40px;
	border-bottom: solid 3px #bac6cb}

.kiji h2:before	{position: absolute;
	left: 0px;
	top: 3px;
	content: '\f14a';
	color: #bac6cb;
	font-family: 'FontAwesome';
	font-size: 28px;
	line-height: 1}

.kiji h3	{margin-top: 25px;
	padding-left: 10px;
	border-left: solid 10px #bac6cb}

@media (max-width: 599px) {
	.kiji h1	{font-size: 24px}

	.kiji h1 amp-img	{max-width: 20px;
		max-height: 20px;
		margin-left: 4px}

	.kiji h2	{font-size: 18px}

	.kiji h3	{padding-left: 6px;
		font-size: 15px}

	.kiji p	{font-size: 14px}
}


/* 記事の投稿日・更新日 */
.kiji-date	{margin-bottom: 20px;
	color: #666666;
	font-size: 12px}

.kiji-date .fa {font-size: larger}


/* カテゴリーとタグ */
.kiji-cat:after	{content: "";
	display: block;
	clear: both}

.kiji-cat ul	{margin: 0;
	padding: 0;
	list-style: none}

.kiji-cat li	{float: left}

.kiji-cat li a	{display: inline-block;
	margin-right: 5px;
	margin-bottom: 2px;
	padding: 3px 5px;
	border-radius: 2px;
	background-color: #98c7da;
	color: #ffffff;
	font-size: 12px;
	text-decoration: none}

.kiji-cat li a:hover	{opacity: 0.8}

.kiji-cat li a[rel='tag']	{background-color: #98b4da}


/* ヘッダー */
header	{border-bottom: solid 10px #e5e5e5;
	margin-bottom: 20px}

.site 	{padding: 10px 0;
	font-family: 'Syncopate', sans-serif;
	font-size: 30px}

.site a	{color: #666666;
	text-decoration: none}

.site amp-img {vertical-align: -11px}


/* フッター */
footer	{background-color: #e5e5e5}

.copyright	{padding: 15px 0;
	color: #666666;
	font-family: 'Syncopate', sans-serif;
	font-size: 14px}

