<!doctype html>
<html amp lang="ja">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width,initial-scale=1,minimum-scale=1">

<?php do_action( 'amp_post_template_head', $this ); ?>

<style amp-custom>
<?php $this->load_parts( array( 'style' ) ); ?>
<?php do_action( 'amp_post_template_css', $this ); ?>
</style>
</head>
<body>

<header>
<div class="container">
	<div class="site">
	<a href="<?php echo $this->get( 'home_url' ); ?>">
	<?php if( has_site_icon() ): ?>
	<amp-img src="<?php site_icon_url('180'); ?>" alt="" width="42" height="42"></amp-img>
	<?php endif; ?>
	<?php echo $this->get( 'blog_name' ); ?>
	</a>
	</div>

	<button class="menubtn" on="tap:mymenu">
		<span class="fa fa-bars"></span>
		<span class="sr-only">メニューを開く</span>
	</button>

	<amp-lightbox id="mymenu" layout="nodisplay">
	<div class="container">
	<button class="menubtn" on="tap:mymenu.close">
		<span class="fa fa-close"></span>
		<span class="sr-only">メニューを閉じる</span>
	</button>

	<h2>MENU</h2>
	<?php if( has_nav_menu( 'ampnav' ) ) : ?>
	<?php wp_nav_menu( array(
		'theme_location' => 'ampnav',
		'container' => 'nav',
		'container_class' => 'ampnav'
	) ); ?>
	<?php endif; ?>
	</div>
	</amp-lightbox>

</div>
</header>

<div class="container">
<article class="kiji">

<div class="kiji-cat">
<?php echo get_the_category_list('','',$this->ID); ?>
<?php echo get_the_tag_list('<ul><li>','</li><li>','</li></ul>',$this->ID); ?>
</div>

<h1><?php echo $this->get( 'post_title' ); ?>
<amp-img src="<?php echo get_template_directory_uri(); ?>/amp/amp-label.png" alt="AMP" width="30" height="30"></amp-img>
</h1>

<div class="kiji-date">
<span class="fa fa-clock-o"></span>
<time datetime="<?php echo date( 'c', $this->get( 'post_publish_timestamp' ) ); ?>">
投稿：
<?php echo date( 'Y年m月d日', $this->get( 'post_publish_timestamp' ) ); ?>
</time>
<?php if( date( 'Ymd', $this->get( 'post_modified_timestamp' ) ) > date( 'Ymd', $this->get( 'post_publish_timestamp' ) ) ): ?>
 ｜ 
<time datetime="<?php echo date( 'c', $this->get( 'post_modified_timestamp' ) ); ?>">
更新：
<?php echo date( 'Y年m月d日', $this->get( 'post_modified_timestamp' ) ); ?>
</time>
<?php endif; ?>
</div>


<?php $fi = $this->get( 'featured_image' );
echo $fi['amp_html']; ?>

<?php echo $this->get( 'post_amp_content' ); ?>


</article>
</div>


<div class="container">
<amp-img src="<?php echo get_template_directory_uri(); ?>/amp/footer.png" alt="" width="1500" height="216" layout="responsive"></amp-img>
</div>

<footer>
<div class="container">
	<div class="copyright">
	© <?php echo $this->get( 'blog_name' ); ?>
	</div>
</div>
</footer>

<?php do_action( 'amp_post_template_footer', $this ); ?>
</body>
</html>

