<?php

//概要（抜粋）の文字数
function my_length($length) {
	return 50;
}
add_filter('excerpt_mblength','my_length');

//概要（抜粋）の省略記号
function my_more($more) {
	return '…';
}
add_filter('excerpt_more', 'my_more');


//コンテンツの最大幅
if ( !isset( $content_width ) ) {
	$content_width = 700;
}


//YouTubeのビデオ：<div>でマークアップ
function ytwrapper($return, $data, $url) {
	if ($data->provider_name == 'YouTube') {
		return '<div class="ytvideo">'.$return.'</div>';
	} else {
		return $return;
	}
}
add_filter('oembed_dataparse','ytwrapper',10,3);


//YouTubeのビデオ：キャッシュをクリア
//function clear_ytwrapper($post_id) {
//	global $wp_embed;
//	$wp_embed->delete_oembed_caches($post_id);
//}
//add_action('pre_post_update', 'clear_ytwrapper');



//アイキャッチ画像
add_theme_support( 'post-thumbnails' );


// エディタスタイルシート
//add_editor_style();
//add_editor_style( '//maxcdn.bootstrapcdn.com/font-awesome/4.4.0/css/font-awesome.min.css' );


// サムネイル画像
function mythumb( $size, $post ) {

	if( has_post_thumbnail() ) {
		$postthumb = wp_get_attachment_image_src( get_post_thumbnail_id(), $size );
		$url = $postthumb[0];
	} elseif( preg_match( '/wp-image-(\d+)/s', $post->post_content, $thumbid ) ) {
		$postthumb = wp_get_attachment_image_src( $thumbid[1], $size );
		$url = $postthumb[0];
	} else {
		$url = get_template_directory_uri() . '/thumb-' . $size . '.jpg';
	}

	return $url;

}


// カスタムメニュー
register_nav_menu( 'sitenav', 'サイトナビゲーション' );
register_nav_menu( 'pickupnav', 'おすすめ記事' );


// トグルボタン
function navbtn_scripts() {

	wp_enqueue_script( 'navbtn-script', get_template_directory_uri() .'/navbtn.js', array('jquery') );
}
add_action( 'wp_enqueue_scripts', 'navbtn_scripts' );


// ウィジェットエリア
register_sidebar( array(
	'id' => 'submenu',
	'name' => ' サブメニュー',
	'description' => 'サイドバーに表示するウィジェットを指定。',
	'before_widget' => '<aside id="%1$s" class="mymenu widget %2$s">',
	'after_widget' => '</aside>',
	'before_title' => '<h2 class="widgettitle">',
	'after_title' => '</h2>'
) );


// 検索フォーム
add_theme_support( 'html5', array('search-form') );


//カスタマイザー
function theme_customize_register( $wp_customize ) {
	$wp_customize->remove_section( 'static_front_page' );
}
add_action('customize_register', 'theme_customize_register');




// ++++++ ここからAMPページ用の設定 ++++++ //

//フォントの設定
function my_fonts( $data ) {

	//Googleフォント syncopate の設定を追加
	$data['font_urls']['syncopate'] = 'https://fonts.googleapis.com/css?family=Syncopate:700';

	//Font Awesomeのアイコンフォントの設定を追加
	$data['font_urls']['font-awesome'] = 'https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css';

	//Googleフォント merriweather の設定を削除
	unset($data['font_urls']['merriweather']);

	return $data;

}
add_filter( 'amp_post_template_data', 'my_fonts' );


//コンテンツの最大幅
function my_maxwidth() {
	global $content_width;
	if ( is_amp_endpoint() ) {
		$content_width = 800;
	}
}
add_action( 'template_redirect', 'my_maxwidth' );


//カスタムメニュー
register_nav_menu( 'ampnav', 'AMPページのナビゲーションメニュー' );


//拡張ライブラリの追加
function my_components( $data ) {
	$data['amp_component_scripts']['amp-lightbox'] = 'https://cdn.ampproject.org/v0/amp-lightbox-0.1.js';
	$data['amp_component_scripts']['amp-social-share'] = 'https://cdn.ampproject.org/v0/amp-social-share-0.1.js';
	$data['amp_component_scripts']['amp-carousel'] = 'https://cdn.ampproject.org/v0/amp-carousel-0.1.js';

	if( in_category('外食') ) {
	$data['amp_component_scripts']['amp-fit-text'] = 'https://cdn.ampproject.org/v0/amp-fit-text-0.1.js';
	$data['amp_component_scripts']['amp-sidebar'] = 'https://cdn.ampproject.org/v0/amp-sidebar-0.1.js';
	$data['amp_component_scripts']['amp-ad'] = 'https://cdn.ampproject.org/v0/amp-ad-0.1.js';
	}

	$data['amp_component_scripts']['amp-image-lightbox'] = 'https://cdn.ampproject.org/v0/amp-image-lightbox-0.1.js';

	return $data;
}
add_filter( 'amp_post_template_data', 'my_components' );


//テンプレートの指定
function my_temp( $file, $type, $post ) {
	if( $type === 'single' && in_category( '外食', $post ) ) {
		$file = dirname( __FILE__ ) . '/amp/single-arrange.php';
	}
	return $file;
}
add_filter( 'amp_post_template_file', 'my_temp', 10, 3 );


//アクセス解析ツールの設定を追加
function my_amp_analytics( $analytics ) {

	//Googleアナリティクスの設定
	$analytics['analytics1'] = array(
	  'type' => 'googleanalytics',
	  'attributes' => array(),
	  'config_data' => json_decode('
		{
		  "vars": {
		    "account": "UA-XXXXX-Y"
		  },
		  "triggers": {
		    "trackPageview": {
		      "on": "visible",
		      "request": "pageview"
		    }
		  }
		}
	  ', true)
	);

	return $analytics;
}
add_filter( 'amp_post_template_analytics', 'my_amp_analytics' );


